cmake_minimum_required(VERSION 3.14)
project(ExampleCustomDecoder)
set(CMAKE_C_STANDARD 11)

add_library(ExampleCustomDecoder SHARED ${CMAKE_CURRENT_LIST_DIR}/example_custom_decoder.c)
target_link_libraries(ExampleCustomDecoder PUBLIC ${CMAKE_CURRENT_LIST_DIR}/../libblueSPY.so)
target_include_directories(ExampleCustomDecoder PRIVATE ${CMAKE_CURRENT_LIST_DIR}/..)

add_library(ExampleCustomDecoderCXX SHARED ${CMAKE_CURRENT_LIST_DIR}/example_custom_decoder.cpp)
target_link_libraries(ExampleCustomDecoderCXX PUBLIC ${CMAKE_CURRENT_LIST_DIR}/../libblueSPY.so)
target_include_directories(ExampleCustomDecoderCXX PRIVATE ${CMAKE_CURRENT_LIST_DIR}/..)
